#ifndef __GPIO_H
#define __GPIO_H

#include "_config_cpu_.h"

inline void gpio_SetPinInput(tGPIOport port, u32 pin);
inline void gpio_SetPinOutput(tGPIOport port, u32 pin);
inline void gpio_SetPin(tGPIOport port, u32 pin);
inline void gpio_ClearPin(tGPIOport port, u32 pin);
int gpio_SetIntFalling(tGPIOport port, u32 pins);
int gpio_SetIntRising(tGPIOport port, u32 pins);
int gpio_ClearIntStatus(tGPIOport port, u32 pins);

#endif // #ifndef __GPIO_H
